Jack::JackRingBuffer Class Reference

Base class for RingBuffer in frames. More...

`#include <JackResampler.h>`

Inheritance diagram for Jack::JackRingBuffer:

## Public Member Functions

| JackRingBuffer (int size=DEFAULT_RB_SIZE)
virtual void | Reset (unsigned int new_size)
virtual unsigned int | Read (jack_default_audio_sample_t *buffer, unsigned int frames)
virtual unsigned int | Write (jack_default_audio_sample_t *buffer, unsigned int frames)
virtual unsigned int | Read (void *buffer, unsigned int bytes)
virtual unsigned int | Write (void *buffer, unsigned int bytes)
virtual unsigned int | ReadSpace ()
virtual unsigned int | WriteSpace ()
unsigned int | GetError ()

## Protected Attributes

jack_ringbuffer_t * | fRingBuffer
unsigned int | fRingBufferSize

## Detailed Description

Base class for RingBuffer in frames.

Definition at line 41 of file JackResampler.h.

The documentation for this class was generated from the following files:

- JackResampler.h
- JackResampler.cpp